/*
    This Software (C) Copyright David Goodwin, 2007, 2008.
    
     This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * globals.java
 *
 * Created on 24 October 2008, 01:16
 *
  */

package assignment;

import logging.*;

/** Holds some global variables, etc.
 *
 * @author David
 */
public class globals {
    /** The global logger used by the software. Initialised by default to be
     * a ConsoleLogger.
     */
    public static logging.ILogger log = new DebugConsoleLogger();
    
    /** Application version information
     */
    public static final String appName = "LTS Spring Embedder";
    public static final Integer appMajorVersion = 0;
    public static final Integer appMinorVersion = 5;
    public static final Integer appPatchLevel = 0;
    
    public static final String settingsFileName = ".settings";
    
    public static final int MRUSize = 5;
    
    
    /** Not allowed to instantitate this */
    protected globals() {
    }
    
    /** Returns the application name string. Something like:
     * "LTS Spring Embedder v0.4-2". The patch level is excluded if its value
     * is set to 0.
     * 
     * @return The application name string.
     */
    public static String getAppNameString() {
        String appString = globals.appName + " v" + 
                globals.appMajorVersion.toString() +
                "." + globals.appMinorVersion.toString();
        if (globals.appPatchLevel != 0) 
            appString += "-" + globals.appPatchLevel.toString();
        return appString;
    }
}
